path: /build/build/spirv-tools-dev-util-2022.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-util/spirv-tools -pv -t && \
    emerge -j ${JOBS} --nodeps dev-util/spirv-tools
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/spirv-tools && luet-portage --dir /pkgdir/spirv-tools
    dev-util/spirv-tools && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:974f6f1250df86c2c2b5ae13e2f6cbc37d54cd907fd2adb139d3193b1c0f3beb
  package:
    name: spirv-tools
    version: "2022.2"
    category: dev-util
    requires:
    - name: aribb24
      version: '>=0'
      category: media-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Provides an API and commands for processing SPIR-V modules
    uri:
    - https://github.com/KhronosGroup/SPIRV-Tools
    license: Apache-2.0
    buildtimestamp: 2023-08-30 11:52:01.879293976 +0000 UTC m=+265.630567643
    labels:
      BDEPEND: '|| ( dev-lang/python:3.10 dev-lang/python:3.8 dev-lang/python:3.9
        dev-lang/python:3.7 ) =dev-util/spirv-headers-1.3.236.0_p20221005* dev-util/ninja
        >=dev-util/cmake-3.9.6'
      DEPEND: =dev-util/spirv-headers-1.3.236.0_p20221005*
      emerge.packages: dev-util/spirv-tools
      kit: core-gl-kit
      original.package.name: dev-util/spirv-tools
      original.package.slot: "0"
      original.package.version: 2022.2_p20221110
    treedir: /build/packages
  package_dir: /pkgdir/spirv-tools
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 3124658a69c56b2ad15e6207ac3db450e829b69130b2ea5c36ad6510897cf5b0
compressiontype: zstd
files:
- usr/bin/spirv-as
- usr/bin/spirv-cfg
- usr/bin/spirv-dis
- usr/bin/spirv-lesspipe.sh
- usr/bin/spirv-link
- usr/bin/spirv-lint
- usr/bin/spirv-opt
- usr/bin/spirv-reduce
- usr/bin/spirv-val
- usr/include/spirv-tools/instrument.hpp
- usr/include/spirv-tools/libspirv.h
- usr/include/spirv-tools/libspirv.hpp
- usr/include/spirv-tools/linker.hpp
- usr/include/spirv-tools/optimizer.hpp
- usr/lib64/cmake/SPIRV-Tools/SPIRV-ToolsConfig.cmake
- usr/lib64/cmake/SPIRV-Tools/SPIRV-ToolsTarget-gentoo.cmake
- usr/lib64/cmake/SPIRV-Tools/SPIRV-ToolsTarget.cmake
- usr/lib64/cmake/SPIRV-Tools-diff/SPIRV-Tools-diffConfig.cmake
- usr/lib64/cmake/SPIRV-Tools-diff/SPIRV-Tools-diffTargets-gentoo.cmake
- usr/lib64/cmake/SPIRV-Tools-diff/SPIRV-Tools-diffTargets.cmake
- usr/lib64/cmake/SPIRV-Tools-link/SPIRV-Tools-linkConfig.cmake
- usr/lib64/cmake/SPIRV-Tools-link/SPIRV-Tools-linkTargets-gentoo.cmake
- usr/lib64/cmake/SPIRV-Tools-link/SPIRV-Tools-linkTargets.cmake
- usr/lib64/cmake/SPIRV-Tools-lint/SPIRV-Tools-lintConfig.cmake
- usr/lib64/cmake/SPIRV-Tools-lint/SPIRV-Tools-lintTargets-gentoo.cmake
- usr/lib64/cmake/SPIRV-Tools-lint/SPIRV-Tools-lintTargets.cmake
- usr/lib64/cmake/SPIRV-Tools-opt/SPIRV-Tools-optConfig.cmake
- usr/lib64/cmake/SPIRV-Tools-opt/SPIRV-Tools-optTargets-gentoo.cmake
- usr/lib64/cmake/SPIRV-Tools-opt/SPIRV-Tools-optTargets.cmake
- usr/lib64/cmake/SPIRV-Tools-reduce/SPIRV-Tools-reduceConfig.cmake
- usr/lib64/cmake/SPIRV-Tools-reduce/SPIRV-Tools-reduceTarget-gentoo.cmake
- usr/lib64/cmake/SPIRV-Tools-reduce/SPIRV-Tools-reduceTarget.cmake
- usr/lib64/libSPIRV-Tools-diff.so
- usr/lib64/libSPIRV-Tools-link.so
- usr/lib64/libSPIRV-Tools-lint.so
- usr/lib64/libSPIRV-Tools-opt.so
- usr/lib64/libSPIRV-Tools-reduce.so
- usr/lib64/libSPIRV-Tools-shared.so
- usr/lib64/libSPIRV-Tools.so
- usr/lib64/pkgconfig/SPIRV-Tools-shared.pc
- usr/lib64/pkgconfig/SPIRV-Tools.pc
- usr/share/doc/spirv-tools-2022.2_p20221110/CHANGES.bz2
- usr/share/doc/spirv-tools-2022.2_p20221110/README.md.bz2
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/BDEPEND
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/BUILD_TIME
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/CATEGORY
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/CBUILD
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/CFLAGS
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/CHOST
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/CONTENTS
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/COUNTER
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/CXXFLAGS
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/DEFINED_PHASES
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/DEPEND
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/DESCRIPTION
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/EAPI
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/FEATURES
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/HOMEPAGE
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/INHERITED
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/IUSE
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/IUSE_EFFECTIVE
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/KEYWORDS
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/LDFLAGS
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/LICENSE
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/NEEDED
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/PF
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/PROVIDES
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/REQUIRES
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/RESTRICT
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/SIZE
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/SLOT
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/USE
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/environment.bz2
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/repository
- var/db/pkg/dev-util/spirv-tools-2022.2_p20221110/spirv-tools-2022.2_p20221110.ebuild
package_cacheimage: ""
runtime:
  name: spirv-tools
  version: "2022.2"
  category: dev-util
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Provides an API and commands for processing SPIR-V modules
  uri:
  - https://github.com/KhronosGroup/SPIRV-Tools
  license: Apache-2.0
  labels:
    BDEPEND: '|| ( dev-lang/python:3.10 dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7
      ) =dev-util/spirv-headers-1.3.236.0_p20221005* dev-util/ninja >=dev-util/cmake-3.9.6'
    DEPEND: =dev-util/spirv-headers-1.3.236.0_p20221005*
    emerge.packages: dev-util/spirv-tools
    kit: core-gl-kit
    original.package.name: dev-util/spirv-tools
    original.package.slot: "0"
    original.package.version: 2022.2_p20221110
